import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { AppointmentCreateManyUserInputObjectSchema as AppointmentCreateManyUserInputObjectSchema } from './AppointmentCreateManyUserInput.schema'

const makeSchema = () => z.object({
  data: z.union([z.lazy(() => AppointmentCreateManyUserInputObjectSchema), z.lazy(() => AppointmentCreateManyUserInputObjectSchema).array()]),
  skipDuplicates: z.boolean().optional()
}).strict();
export const AppointmentCreateManyUserInputEnvelopeObjectSchema: z.ZodType<Prisma.AppointmentCreateManyUserInputEnvelope> = makeSchema() as unknown as z.ZodType<Prisma.AppointmentCreateManyUserInputEnvelope>;
export const AppointmentCreateManyUserInputEnvelopeObjectZodSchema = makeSchema();
